using SqlSugar;
using System;

namespace DeviceRepairAndOptimization.Models
{
    [SugarTable("DriveInformation")]
    public class DriveInfomation
    {
        /// <summary>
        /// 主键ID
        /// <summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// 设备编号
        /// <summary>
        [SugarColumn(ColumnName = "EquipmentID")]
        public string EquipmentID { get; set; }

        /// <summary>
        /// 设备名称
        /// <summary>
        [SugarColumn(ColumnName = "EquipmentName")]
        public string EquipmentName { get; set; }

        /// <summary>
        /// 设备型号规格
        /// <summary>
        [SugarColumn(ColumnName = "Specification")]
        public string Specification { get; set; }

        /// <summary>
        /// 制造厂家
        /// <summary>
        [SugarColumn(ColumnName = "Manufacturer")]
        public string Manufacturer { get; set; }

        /// <summary>
        /// 出厂编号
        /// <summary>
        [SugarColumn(ColumnName = "SerialNumber")]
        public string SerialNumber { get; set; }

        /// <summary>
        /// 投产年月
        /// <summary>
        [SugarColumn(ColumnName = "UsingDate")]
        public string UsingDate { get; set; }

        /// <summary>
        /// 设备总容量(KW)
        /// <summary>
        [SugarColumn(ColumnName = "Totalcapacity")]
        public double Totalcapacity { get; set; }

        /// <summary>
        /// 设备重量(吨)
        /// <summary>
        [SugarColumn(ColumnName = "Weight")]
        public double Weight { get; set; }

        /// <summary>
        /// 设备类别
        /// <summary>
        [SugarColumn(ColumnName = "EquipmentCategory")]
        public string EquipmentCategory { get; set; }

        /// <summary>
        /// 设备原值(万元)
        /// <summary>
        [SugarColumn(ColumnName = "EquipmentOriginalvalue")]
        public decimal EquipmentOriginalvalue { get; set; }

        /// <summary>
        /// 设备状态
        /// <summary>
        [SugarColumn(ColumnName = "EquipmentStatus")]
        public int EquipmentStatus { get; set; }

        /// <summary>
        /// 质保期
        /// <summary>
        [SugarColumn(ColumnName = "WarrantyPeriod")]
        public string WarrantyPeriod { get; set; }

        /// <summary>
        /// 安装地点
        /// <summary>
        [SugarColumn(ColumnName = "InstallationLocation")]
        public string InstallationLocation { get; set; }

        /// <summary>
        /// 所属单元
        /// <summary>
        [SugarColumn(ColumnName = "OwningUnit")]
        public string OwningUnit { get; set; }

        /// <summary>
        /// 运行参数
        /// <summary>
        [SugarColumn(ColumnName = "OperatingParameters")]
        public string OperatingParameters { get; set; }

        /// <summary>
        /// 保养使用的表单
        /// <summary>
        [SugarColumn(ColumnName = "MaintenanceFormVersion")]
        public int MaintenanceFormVersion { get; set; }

        /// <summary>
        /// 创建时间
        /// <summary>
        [SugarColumn(ColumnName = "CreatDate")]
        public DateTime CreatDate { get; set; }

        /// <summary>
        /// 创建人
        /// <summary>
        [SugarColumn(ColumnName = "CreatUser")]
        public int CreatUser { get; set; }

        /// <summary>
        /// 修改时间
        /// <summary>
        [SugarColumn(ColumnName = "ChangeDate")]
        public DateTime ChangeDate { get; set; }

        /// <summary>
        /// 修改人
        /// <summary>
        [SugarColumn(ColumnName = "ChangeUser")]
        public int ChangeUser { get; set; }

        /// <summary>
        /// 备注
        /// <summary>
        [SugarColumn(ColumnName = "Remarks")]
        public string Remarks { get; set; }


        [SugarColumn(IsIgnore = true)]
        public int? TreeId { get; set; }

        [SugarColumn(IsIgnore = true)]
        public int? ParentId { get; set; }

        [SugarColumn(IsIgnore = true)]
        public bool IsChecked { get; set; }
    }
}